CfDef._Fields (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.thrift
Enum CfDef._Fields

    java.lang.Object
      java.lang.Enum<CfDef._Fields>
          org.apache.cassandra.thrift.CfDef._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CfDef._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  CfDef

    public static enum CfDef._Fields

extends java.lang.Enum<CfDef._Fields>
implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Enum Constant Summary
`BLOOM_FILTER_FP_CHANCE`
`COLUMN_METADATA`
`COLUMN_TYPE`
`COMMENT`
`COMPACTION_STRATEGY`
`COMPACTION_STRATEGY_OPTIONS`
`COMPARATOR_TYPE`
`COMPRESSION_OPTIONS`
`DEFAULT_VALIDATION_CLASS`
`GC_GRACE_SECONDS`
`ID`
`KEY_ALIAS`
`KEY_CACHE_SAVE_PERIOD_IN_SECONDS`
`KEY_CACHE_SIZE`
`KEY_VALIDATION_CLASS`
`KEYSPACE`
`MAX_COMPACTION_THRESHOLD`
`MERGE_SHARDS_CHANCE`
`MIN_COMPACTION_THRESHOLD`
`NAME`
`READ_REPAIR_CHANCE`
`REPLICATE_ON_WRITE`
`ROW_CACHE_KEYS_TO_SAVE`
`ROW_CACHE_PROVIDER`
`ROW_CACHE_SAVE_PERIOD_IN_SECONDS`
`ROW_CACHE_SIZE`
`SUBCOMPARATOR_TYPE`

Method Summary
`static CfDef._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static CfDef._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static CfDef._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` | `getFieldName()`
`short` | `getThriftFieldId()`
`static CfDef._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CfDef._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KEYSPACE

    public static final CfDef._Fields KEYSPACE

### NAME

    public static final CfDef._Fields NAME

### COLUMN_TYPE

    public static final CfDef._Fields COLUMN_TYPE

### COMPARATOR_TYPE

    public static final CfDef._Fields COMPARATOR_TYPE

### SUBCOMPARATOR_TYPE

    public static final CfDef._Fields SUBCOMPARATOR_TYPE

### COMMENT

    public static final CfDef._Fields COMMENT

### ROW_CACHE_SIZE

    public static final CfDef._Fields ROW_CACHE_SIZE

### KEY_CACHE_SIZE

    public static final CfDef._Fields KEY_CACHE_SIZE

### READ_REPAIR_CHANCE

    public static final CfDef._Fields READ_REPAIR_CHANCE

### COLUMN_METADATA

    public static final CfDef._Fields COLUMN_METADATA

### GC_GRACE_SECONDS

    public static final CfDef._Fields GC_GRACE_SECONDS

### DEFAULT_VALIDATION_CLASS

    public static final CfDef._Fields DEFAULT_VALIDATION_CLASS

### ID

    public static final CfDef._Fields ID

### MIN_COMPACTION_THRESHOLD

    public static final CfDef._Fields MIN_COMPACTION_THRESHOLD

### MAX_COMPACTION_THRESHOLD

    public static final CfDef._Fields MAX_COMPACTION_THRESHOLD

### ROW_CACHE_SAVE_PERIOD_IN_SECONDS

    public static final CfDef._Fields ROW_CACHE_SAVE_PERIOD_IN_SECONDS

### KEY_CACHE_SAVE_PERIOD_IN_SECONDS

    public static final CfDef._Fields KEY_CACHE_SAVE_PERIOD_IN_SECONDS

### REPLICATE_ON_WRITE

    public static final CfDef._Fields REPLICATE_ON_WRITE

### MERGE_SHARDS_CHANCE

    public static final CfDef._Fields MERGE_SHARDS_CHANCE

### KEY_VALIDATION_CLASS

    public static final CfDef._Fields KEY_VALIDATION_CLASS

### ROW_CACHE_PROVIDER

    public static final CfDef._Fields ROW_CACHE_PROVIDER

### KEY_ALIAS

    public static final CfDef._Fields KEY_ALIAS

### COMPACTION_STRATEGY

    public static final CfDef._Fields COMPACTION_STRATEGY

### COMPACTION_STRATEGY_OPTIONS

    public static final CfDef._Fields COMPACTION_STRATEGY_OPTIONS

### ROW_CACHE_KEYS_TO_SAVE

    public static final CfDef._Fields ROW_CACHE_KEYS_TO_SAVE

### COMPRESSION_OPTIONS

    public static final CfDef._Fields COMPRESSION_OPTIONS

### BLOOM_FILTER_FP_CHANCE

    public static final CfDef._Fields BLOOM_FILTER_FP_CHANCE

Method Detail

### values

    public static CfDef._Fields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CfDef._Fields c : CfDef._Fields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CfDef._Fields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findByThriftId

    public static CfDef._Fields findByThriftId(int fieldId)

  Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

    public static CfDef._Fields findByThriftIdOrThrow(int fieldId)

  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

    public static CfDef._Fields findByName(java.lang.String name)

  Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

    public short getThriftFieldId()

  Specified by:
    `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation